# include/xapian/output.h File Reference

Functions for output of strings describing Xapian objects. More...

`#include <fstream>`
`#include <xapian/database.h>`
`#include <xapian/document.h>`
`#include <xapian/query.h>`
`#include <xapian/enquire.h>`
`#include <xapian/stem.h>`
`#include <xapian/postingiterator.h>`
`#include <xapian/positioniterator.h>`
`#include <xapian/termiterator.h>`
`#include <xapian/valueiterator.h>`

Include dependency graph for output.h:

Go to the source code of this file.

## Defines

#define | XAPIAN_OUTPUT_FUNCTION(CLASS)
| Helper macro for defining stream output of Xapian class.

## Detailed Description

Functions for output of strings describing Xapian objects.

## Define Documentation

#define XAPIAN_OUTPUT_FUNCTION | ( | CLASS |  | ) |

Value:

    inline std::ostream & \
    operator<<(std::ostream & os, const CLASS & object) { \
        return os << object.get_description(); \
    }

Helper macro for defining stream output of Xapian class.